LogPublisher

Author: DL9HO

LogPublisher supports QSO upload to HRDLog.net and QRZ.com. It works as an Add on program for DXKeeper.

Note: Update your firewall and anti-malware applications to consider LogPublisher.exe, OnAir.exe and LogPublisherUpdater.exe to be "safe".

LogPublisher provides two different operating modes: Manual upload (of individual QSOs; QSOs can be selected from DXKeepers log database) and Auto upload (available in LogPublishers registered version). In order to give you an impression of the real time upload, this extendes feature is full functional for 10 minutes, before the realtime upload stops).


 Configuring LogPublisher

LogPublisher's Configuration screen provides two tabs:

General tab

Options for QSO upload to HRDLog.net and QRZ.com

include COMMENT Use this check for WSJT-x

HRDLog.net

HRDlog.net Callsign | specifies the HRDlog.net account to which QSOs should be uploaded
Upload code | Specifies the upload code that enables your access to HRDlog.net
Auto upload | when checked, any QSO logged by DXKeeper, either directly, or on behalf of another application, will automatically be uploaded to HRDLog.net using the above settings
Send On Air status | when checked, LogPublisher's OnAir.exe program will send the user on-air status, frequency and mode to HRDLog.net. You have to allow Internet access for LogPublisher.exe and OnAir.exe.

QRZ.com logbook

You don't have to be a paying QRZ.com subscriber

LogPublisher provides 2 different methods for uploading QSOs to your QRZ.com online logbook. If you are a paying QRZ.com subscriber, select the Yes option and enter the API key into the textbox below.

QRZ.com accepts API-uploads to the logbook from subscribers only. If you are not a a paying QRZ.com subscriber, select the No option. Let the API-Key textbox empty. LogPublisher can perform the upload anyway, but you must run LogPublisher as administrator.

Comparison

QRZ.com subscriber | Non QRZ.com subscriber
LogPublisher can be run without administrator rights | LogPublisher must be run as administrator To perform uploading to QRZ.com under Windows Vista and later versions of Windows, LogPublisher must be run as administrator.
Internet Explorer is not required | Internet Explorer is required on Windows
Cookies not needed | Cookies must be enabled in Internet Explorer Make sure you have enabled Cookies in your Internet Explorer webbrowser. The page https://www.qrz.com/cookies will determine if your Internet Explorer is receiving and sending HTTP-Cookies. Open the page with the Internet Explorer - not with Firefox, Google Chrome or any other webbrowser !
API key is used | API key not used

Settings

QRZ.com subscriber | select Yes if you are a paying QRZ.com subscriber and No if you are not a paying QRZ.com subscriber
QRZ.com Username | specifies the QRZ.com account to which QSOs should be uploaded
Password | Specifies the Password that enables your access to QRZ.com
Logbook | Specifies the Logbook to which QSOs should be uploaded
Book ID | Specifies the Book ID for the Logbook to which QSOs should be uploaded (can be found under My Logbook -> Settings when you logged in on QRZ.com)
API-Key | Enter your QRZ.com API key if you are a paying QRZ.com subscriber. The API-Key can be found under My Logbook -> Settings when you logged in on QRZ.com Let the field empty if you are not a paying QRZ.com subscriber
Auto upload | when checked, any QSO logged by DXKeeper, either directly, or on behalf of another application, will automatically be uploaded to QRZ.com using the above settings

DXLab tab

Log database file LogPublisher will automatically detect the path to your log database. Clicking on the Browse button displays a file selector that can be used to specify a different log database path name

LogPublisher can update DXKeeper with the status of uploaded QSOs to HRDlog.net. This feature is optional and requires an unused defined field in DXKeeper.

Please note: LogPublisher doesn't modify any log data on the fly. The status of each uploaded QSO will be stored in a temporary file (Progress.dat). Updating DXKeeper with upload information from this file can be done when DXKeeper is closed.

To update DXKeeper with update information you have to exit DXKeeper. Open LogPublisher's configuration window, DXLab tab and click on "Sync DXKeeper" button. If you do so, LogPublisher will create a backup of your DXKeepers log database file (backup can be found in the path LogPublisher\Data\, e.g. LogPublisher\Data\2013_07_20_172010\DL9HO.mdb) and updates the uploaded QSOs with the upload status (Y).

If you LogPublisher allowed to update DXKeeper, LogPublisher will also check for any new QSOs uploaded to HRDlog.net when LogPublisher is terminated.

How to prepare DXKeeper to store HRDlog.net upload status?

Open DXKeepers configuration, User items tab and create an user defined field (Caption 'HRDLog.net', Style 'Alphanumeric').

Open LogPublishers's configuration window, DXLab tab and select the created user item field in the combobox below. Leave the combobox and enable 'update DXKeeper if upload to HRDLog.net was sucessful'.


 Support

I've developed LogPublisher for my own needs, but you can participate on the results for free.

If you like to support my work, you can donate a few bucks (12 Euro) for a pizza and a beer.

If you do so, you will get a activation code for extended options (Real time upload to HRDLog.net and QRZ.com logbook).

In order to give you an impression of the real time (Auto upload) upload, this extended feature is full functional for 10 minutes, before the realtime upload stops.

Open LogPublisher's Configuration window, General tab, click the Register button to register LogPublisher.

When donating on the PayPal site, you'll be prompted to insert the program ID.

After you've made your PayPal donation, you'll get the activation code by email. Copy the key.dat file into LogPublisher's folder and restart LogPublisher.

Problems or Suggestions?

Send me an email and let me know if you find a bug. Attach the LogPublisher.ini and the Error.txt file. Any suggestions for new or better features are always welcome.

73 de Volker, DL9HO

(c) 2013-2023 Volker Rose, DL9HO
Homepage: http://www.dl9ho.de/LogPublisher/LogPublisher.htm
LogPublisher Download page: http://www.dl9ho.de/adidl.html
Program support: EMail: dl9ho@gmx.net

Other Tool from DL9HO

SpotSpy ADD on for SpotCollector

PROADIKON ADIF conversion tool